GuidesAPI GuideChangelog
Log In
API Guide

큐레이션 클립 조회

헤더에 버전을 명시하지 않은 큐레이션 클립 조회 API입니다.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

클립 썸네일 리사이즈 처리 (Image Resizing)

클라이언트의 퍼포먼스와 로딩 속도 최적화를 위해, rows 데이터를 순회할 때 실제 렌더링 영역에 맞는 사이즈로 이미지를 요청해야 합니다. 대상 필드는 클립 썸네일(thumbnailFullUrl ,customThumbnailFullUrl)입니다.

  1. 썸네일 이미지 URL 선택 기준
    썸네일 이미지는 thumbnailType 값에 따라 우선순위가 달라집니다. 아래 규칙에 따라 Base URL을 결정해 주세요.
📘

thumbnailType에 따른 URL 결정 로직

  • thumbnailType == "AUTO" : thumbnailFullUrl 필드 사용
  • thumbnailType == "CUSTOM" : customThumbnailFullUrl 필드 사용

  1. 리사이즈 쿼리 파라미터 적용
    선택된 이미지 URL(Base URL) 뒤에 w(너비)와 h(높이) 쿼리 파라미터를 추가하여 사이즈를 조절합니다. 추가적으로 webp 등 이미지 포맷도 쿼리로 세팅가능합니다.

형식: thumbnailFullUrl?w=XXX&h=XXX&f=webp

  1. 적용 예시
    실제 앱/웹 뷰에서 보여질 영역 크기에 맞춰 값을 설정합니다. (예: 9/16 비율에 맞는 9/16 사이즈 및 webp 로 호출가능)
// example 

// 예시 파일 (thumbnailFullUrl)
 "https://stage.resources.sauceclip.com/2025/12/1/media/I6BhEsbM/I6BhEsbM.jpg"

// 추천 사이즈 (9/16 webp)
"https://stage.resources.sauceclip.com/2025/12/1/media/I6BhEsbM/I6BhEsbM.jpg?w=180&h=360&f=webp

channelThumbnailUrl (프로필 이미지) 처리 시에도 동일하게 w, h ,f 파라미터를 사용하여 최적화된 사이즈(예: ?w=50&h=50&=f=webp)로 요청해 주세요.


클립 플레이어 링크

클립 플레이어 링크는 shortUrl 를 사용하면 실제 클립 플레이어의 링크로 이동 혹은 새창 열기 등이 가능해집니다. fullLink 는 partnerUniqueId 와 id 를 조합하여 플레이어 링크를 조합하여 사용도 가능합니다.

shortUrl
"https://stage.sclip.us/v2/hash/BahwiEHce2"

fullLink
https://stage.player.sauceclip.com/player?partnerUniqueId=memberQA&clipId=11686

소스클립 연동 가이드 참조

Path Params
int32
required

전시 ID

Query Params
string
required

파트너 유니크 ID

int32
Defaults to 20

클립 갯수 (최대 100)

int32
Defaults to 1

페이지

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
🏠 소스라이브 🎬 소스클립 🔗 소스링크 📢 소스애드
🧩 API 가이드
🆕 최근 업데이트
💬 도움이 더 필요하신가요?
메일로 문의 카카오톡 채널로 문의